=== src/tools/CMakeLists.txt ===
add_subdirectory(baloosearch)
add_subdirectory(balooshow)
