## baloo 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(BALOO_VERSION_MAJOR 4)
 set(BALOO_VERSION_MINOR 13)
-set(BALOO_VERSION_RELEASE 0)
+set(BALOO_VERSION_RELEASE 3)
 set(BALOO_VERSION "${BALOO_VERSION_MAJOR}.${BALOO_VERSION_MINOR}.${BALOO_VERSION_RELEASE}")
 
 
@@ -39,7 +39,7 @@
     TYPE REQUIRED
 )
 
-find_package(Akonadi 1.11.42 CONFIG)
+find_package(Akonadi 1.12.1 CONFIG)
 set_package_properties(Akonadi PROPERTIES
     URL "http://akonadi-project.org"
     TYPE REQUIRED
@@ -49,6 +49,10 @@
 
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(${KDE4_ENABLE_EXCEPTIONS})
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+add_definitions( -DQT_NO_CAST_FROM_ASCII )
+add_definitions( -DQT_NO_CAST_TO_ASCII )
+
 
 include_directories(
   ${QT_INCLUDES}
