=== src/kioslaves/CMakeLists.txt ===
add_subdirectory(timeline)
add_subdirectory(tags)
add_subdirectory(search)
