=== debian/changelog ===
baloo (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * No change rebuild for the -security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Nov 2014 09:37:11 -0500

baloo (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)
    - add new symbols for libbaloopim4

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:18:51 +0200

baloo (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:44:59 +0200

baloo (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * Remove explicit baloo dependency from library .symbol files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jun 2014 16:47:14 +0200

baloo (4:4.13.1-0ubuntu0.1~ubuntu14.04~ppa2) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - drop upstream_FileIndexingQueue-Catch-exception.patch and
      upstream_catch_more_exceptions_emailsearchstore.patch, included
      in release
    - refresh symbol files

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 10 May 2014 10:45:27 +0200
