=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: baloo
 Section: kde
 Priority: optional
-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: debhelper (>= 9.0.0), cmake,
  pkg-kde-tools,
- kdelibs5-dev (>= 4:4.13.0),
- kdepimlibs5-dev (>= 4:4.13.0),
- libkfilemetadata-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ kdepimlibs5-dev (>= 4:4.13.3),
+ libkfilemetadata-dev (>= 4:4.13.3),
  libxapian-dev,
  libqjson-dev,
  libattr1-dev,
  libakonadi-dev (>= 1.11.80),
  libboost1.54-dev
+Build-Conflicts: libkfilemetadata5-dev
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/baloo
 
 Package: baloo
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80),
-Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80),
+Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80)
+Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80)
+Conflicts: baloo-kf5-data, baloo-kf5
 Description: framework for searching and managing metadata.
  A framework for searching and managing metadata in KDE.
