=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=baloo-dbg

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	 $(overridden_command) -- -xbaloo -xkde-runtime -xkdepim-runtime
