## baloo 4.14.1

=== debian/changelog ===
baloo (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:20:30 +0200

baloo (4:4.14.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Philip Muškovac ]
  * Add a transitional package for baloo > baloo4 as Provides don't take care
    of upgrades
  * Delete obsolete baloo.install 

  [ Rohan Garg ]
  * Make baloo-utils a dep of baloo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:26:11 +0200

baloo (4:4.13.97-0ubuntu3) utopic; urgency=medium

  * Add replaces/breaks for file moved to baloo-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:59:34 +0200

baloo (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump replaces version of baloo for new updates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:45:17 +0200

baloo (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:02:52 +0200

baloo (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Fix libalooqueryparser install file

  [ Philip Muškovac ]
  * Remove empty arch= selector in libbaloopim4.symbols and
    libbalooxapian4.symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 06:18:28 -0700

baloo (4:4.13.90-0ubuntu3) utopic; urgency=medium

  * Add missing build-dep on libx11-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 19 Jul 2014 21:40:48 +0200

baloo (4:4.13.90-0ubuntu2) utopic; urgency=medium

  * Add missing .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 19 Jul 2014 21:40:48 +0200

baloo (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Added new library libbalooqueryparser
  * Patched symbols with batchpatch
  * Add new library to -dev as depend

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 13:54:56 -0700

baloo (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Allow for co-installability with baloo-kf5
    - create baloo-utils for kdelibs4 parts we want to keep installed
    - rename to baloo4 and provide a common baloo virtual package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jul 2014 17:24:47 +0200

baloo (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Remove explicit baloo dependency from library .symbol files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2014 16:57:37 +0200

baloo (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release
  * Remove upstream_catch_more_exceptions_emailsearchstore.patch
    fixed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:38:20 +0100

baloo (4:4.13.0-0ubuntu5) utopic; urgency=medium

  * Merge with Debian, remaining changes:
   - still on 4.13.0
  * Add conflicts on kf5 baloo packages
  * Build-Conflicts: libkfilemetadata5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 May 2014 16:08:47 +0100

baloo (4:4.13.0-0ubuntu4) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 21:55:11 +0100

baloo (4:4.13.1-1) experimental; urgency=medium

  * Initial release, based on the kubuntu package.
  * Update build dependencies.
  * Update symbols files.
  * New patch: disable_tests_depending_on_revdep
  * Add dh-acc files.
  * Add dbus interface file to the -dev package.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:25:45 +0200

baloo (4:4.13.0-0ubuntu3) utopic; urgency=medium

  * Remove explicit baloo dependency from library .symbol files
  * Add conflicts on conflicting KF5 baloo packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 May 2014 15:52:39 +0100
