=== debian/control ===
Source: baloo
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               kdepimlibs5-dev (>= 4:4.14.1),
               libakonadi-dev (>= 1.12.91),
               libattr1-dev,
               libboost1.55-dev,
               libkfilemetadata-dev (>= 4:4.14.1),
               libqjson-dev,
               libxapian-dev,
               pkg-kde-tools,
               libx11-dev
Build-Conflicts: libkfilemetadata5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://projects.kde.org/baloo
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/baloo.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/baloo.git

Package: baloo4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, baloo-utils
Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.90)
Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.90)
Conflicts: baloo-kf5-data, baloo-kf5
Provides: baloo
Description: framework for searching and managing metadata.
 A framework for searching and managing metadata in KDE.
 .
 This package contains the kdelibs4 version of the binaries, it can also
 be replaced with baloo-kf5.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: any
Depends: baloo4
Description: Transitional package for baloo4
 Transitional package for baloo4
 .
 This package can safely be removed after installation

Package: baloo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.2-0ubuntu3)
Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.2-0ubuntu3)
Description: framework for searching and managing metadata.
 A framework for searching and managing metadata in KDE.
 .
 This package contains kdelibs4 utilities for Baloo.

Package: libbaloocore4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo core library.
 .
 Baloo is part of KDE SC.

Package: libbaloofiles4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Files funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo files library.
 .
 Baloo is part of KDE SC.

Package: libbaloopim4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo PIM library.
 .
 Baloo is part of KDE SC.

Package: libbalooqueryparser4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Query Parser for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo query parser library ported from Nepomuk.
 .
 Baloo is part of KDE SC.

Package: libbalooxapian4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xapian funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo Xapian library.
 .
 Baloo is part of KDE SC.

Package: baloo-dev
Architecture: any
Section: libdevel
Depends: libbaloocore4 (= ${binary:Version}),
         libbaloofiles4 (= ${binary:Version}),
         libbalooqueryparser4 (= ${binary:Version}),
         libbaloopim4 (= ${binary:Version}),
         libbalooxapian4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo-kf5-dev
Replaces: baloo (<< 4:4.13.90)
Breaks: baloo (<< 4:4.13.90)
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: baloo-dbg
Architecture: any
Depends: baloo4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for baloo
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo.
 .
 Baloo is part of KDE SC.
