## baloo 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
 project(baloo)
 
 set(BALOO_VERSION_MAJOR 4)
-set(BALOO_VERSION_MINOR 13)
-set(BALOO_VERSION_RELEASE 3)
+set(BALOO_VERSION_MINOR 14)
+set(BALOO_VERSION_RELEASE 0)
 set(BALOO_VERSION "${BALOO_VERSION_MAJOR}.${BALOO_VERSION_MINOR}.${BALOO_VERSION_RELEASE}")
-
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 
-find_package(KdepimLibs 4.13.0 CONFIG)
+find_package(KdepimLibs 4.14.0 CONFIG)
 set_package_properties(KdepimLibs PROPERTIES
     DESCRIPTION "The KDEPIM libraries"
     URL "http://www.kde.org"
@@ -39,13 +38,14 @@
     TYPE REQUIRED
 )
 
-find_package(Akonadi 1.12.1 CONFIG)
+find_package(Akonadi 1.12.90 CONFIG)
 set_package_properties(Akonadi PROPERTIES
     URL "http://akonadi-project.org"
     TYPE REQUIRED
 )
 
 include(ConfigureChecks.cmake)
+configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(${KDE4_ENABLE_EXCEPTIONS})
@@ -55,6 +55,7 @@
 
 
 include_directories(
+  ${CMAKE_BINARY_DIR}
   ${QT_INCLUDES}
   ${QJSON_INCLUDE_DIR}
   ${KFILEMETADATA_INCLUDE_DIR}
