=== src/pim/CMakeLists.txt ===
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(search)
add_subdirectory(akonadiplugin)
