=== src/pim/search/CMakeLists.txt ===
include_directories(${KDEPIMLIBS_INCLUDE_DIRS})

add_subdirectory(email)
add_subdirectory(contact)
add_subdirectory(note)
add_subdirectory(calendar)
