=== debian/changelog ===
baloo (4:4.14.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Make baloo-dev depend on libkfilemetadata-dev, as it uses its headers.
    (Closes: #762240)
  * Small improvements to the descriptions. (Closes: #757626, #760023)

  [ Maximiliano Curia ]
  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 18:54:00 +0200

baloo (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * Merge dh_acc test into testsuite.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:24 +0200

baloo (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update symbols files with buildds logs.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Aug 2014 18:18:14 +0200

baloo (4:4.13.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commits 01f3fff52d63302e6970a088710ec6b692b1b470,
    b538865e6069a61c8cf467622f3dccef2bac115e and
    07278894f3a00a3c4ca5ce7d62721c0edfddfb69 to fix build on glibc-based OSes
    different than Linux; patches
    upstream_xattr-fix-fallback-in-no-xattr-OSes.patch,
    upstream_xattr-use-the-linux-xattr-impl-on-any-glibc-based-OS.patch, and
    upstream_xattr-do-not-use-on-glibc-if-not-implemented.patch.
  * Switch the libboost1.55-dev build dependency to libboost-dev.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream applied patch: upstream_xattr-do-not-use-on-glibc-
    if-not-implemented.patch
  * Remove upstream applied patch: upstream_xattr-fix-fallback-in-no-
    xattr-OSes.patch
  * Remove upstream applied patch: upstream_xattr-use-the-linux-xattr-
    impl-on-any-glibc-based-OS.patch
  * Update symbols file.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 00:17:47 +0200
