=== debian/control ===
Source: baloo
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.13.0),
               kdepimlibs5-dev (>= 4:4.14.0),
               libakonadi-dev (>= 1.12.90),
               libattr1-dev,
               libboost-dev,
               libkfilemetadata-dev (>= 4:4.13.0),
               libqjson-dev,
               libxapian-dev,
               pkg-kde-tools,
               libx11-dev
Build-Conflicts: libkfilemetadata5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://projects.kde.org/baloo
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/baloo.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/baloo.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo

Package: baloo4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, baloo-utils
Replaces: baloo (<< 4:4.13.2-0ubuntu3),
          kde-runtime (<< 4:4.12.80),
          kde-runtime-data (<< 4:4.12.80)
Breaks: baloo (<< 4:4.13.2-0ubuntu3),
        kde-runtime (<< 4:4.12.80),
        kde-runtime-data (<< 4:4.12.80)
Conflicts: baloo-kf5, baloo-kf5-data
Provides: baloo
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE.
 .
 This package contains the kdelibs4 version of the binaries, it can also
 be replaced with baloo-kf5.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: any
Depends: baloo4
Description: transitional package for baloo4
 A framework for searching and managing metadata in KDE.
 .
 This package can safely be removed after installation.

Package: baloo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: baloo (<< 4:4.13.2-0ubuntu3),
          kde-runtime (<< 4:4.12.80),
          kde-runtime-data (<< 4:4.12.80)
Breaks: baloo (<< 4:4.13.2-0ubuntu3),
        kde-runtime (<< 4:4.12.80),
        kde-runtime-data (<< 4:4.12.80)
Description: utilities for Baloo
 A framework for searching and managing metadata in KDE.
 .
 This package contains kdelibs4 utilities for Baloo.

Package: libbaloocore4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo core library.
 .
 Baloo is part of KDE SC.

Package: libbaloofiles4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: files functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo files library.
 .
 Baloo is part of KDE SC.

Package: libbaloopim4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo PIM library.
 .
 Baloo is part of KDE SC.

Package: libbalooqueryparser4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: query Parser for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo query parser library ported from Nepomuk.
 .
 Baloo is part of KDE SC.

Package: libbalooxapian4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xapian functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo Xapian library.
 .
 Baloo is part of KDE SC.

Package: baloo-dev
Architecture: any
Section: libdevel
Depends: libbaloocore4 (= ${binary:Version}),
         libbaloofiles4 (= ${binary:Version}),
         libbalooqueryparser4 (= ${binary:Version}),
         libbaloopim4 (= ${binary:Version}),
         libbalooxapian4 (= ${binary:Version}),
         libkfilemetadata-dev (>= 4:4.13.0),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo-kf5-dev
Replaces: baloo (<< 4:4.13.90)
Breaks: baloo (<< 4:4.13.90)
Description: development files for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo.
 .
 Baloo is part of KDE SC.

Package: baloo-dbg
Architecture: any
Depends: baloo4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: debugging symbols for Baloo
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo.
 .
 Baloo is part of KDE SC.
